-- $Id: main.lua,v 1.6 2004/11/19 17:13:06 cpressey Exp $

require "dfui"
require "app"

App.start()

Menu.auto(App.c, {
    name = "Automatically Constructed Menu",
    short_desc =
	"This menu was automatically constructed from " ..
	"the Lua script files in the same directory " ..
	"as this Lua script file (scripts/test/menu.)",
    exit_item = {
        name = "Quit",
	short_desc = "Quit this silly example program",
	effect = function()
		return Menu.done
	end
    }
})

App.stop()
